# ctacol.py

import csv
import numpy

def read_rides_as_columns(filename):
    routes = []
    dates = []
    daytypes = []
    rides = []
    with open(filename) as file:
        headers = next(file)
        rows = csv.reader(file)
        for row in rows:
            routes.append(row[0])
            dates.append(row[1])
            daytypes.append(row[2])
            rides.append(int(row[3]))
    # How to return back?
    return {
        'routes': numpy.array(routes),
        'dates': numpy.array(dates),
        'daytypes': numpy.array(daytypes),
        'rides': numpy.array(rides)
        }

data = read_rides_as_columns('ctabus.csv')

# Memory: 142MB
# 66MB with numpy

